player = { }
function player.load(self,image)
	self.x = love.graphics.getWidth()/2
	self.y = love.graphics.getHeight()/2
	self.sx = 0.5
	self.sy = 0.5
	self.image = image
	self.xvel = 0
	self.yvel = 0
	self.speed = 1700
	self.friction = 3
end

function player:draw()
	love.graphics.rectangle("fill",100,100,110,110)
	love.graphics.draw(self.image,self.x,self.y,0,self.sx,self.sy,self.image:getWidth()/2,self.image:getHeight()/2)
end

function player:move(dt)
	if love.keyboard.isDown("right") and self.xvel < self.speed then
		self.xvel = self.xvel + self.speed * dt
	elseif love.keyboard.isDown("left") and self.xvel > -self.speed then
		self.xvel = self.xvel - self.speed * dt
	elseif love.keyboard.isDown("down") and self.yvel < self.speed then
		self.yvel = self.yvel + self.speed * dt
	elseif love.keyboard.isDown("up") and self.yvel > -self.speed then
		self.yvel = self.yvel - self.speed * dt 
	end
	self.x = self.x + self.xvel * dt
	self.y = self.y + self.yvel * dt
	self.xvel = self.xvel * (1 - math.min(dt * player.friction,1))
	self.yvel = self.yvel * (1 - math.min(dt * player.friction,1))
	if self.y < 0 then
		self.y = 0 
		self.yvel = 0
	elseif self.y + self.image:getHeight() > love.graphics.getHeight() then
		self.y = love.graphics.getHeight() - self.image:getHeight()
		self.yvel = 0
	end
end
